using System;
using UnityEngine;

namespace UVC.Twin.MonitoringUI
{
    [Serializable]
    public class ScheduleRowData
    {
        [SerializeField] public string WorkOrder;
        [SerializeField] public string StartDate;
        [SerializeField] public string EndDate;
        [SerializeField] public string Series;
        [SerializeField] public string CuttingLength;
        [SerializeField] public string Equipment;

        public ScheduleRowData() { }

        public ScheduleRowData(string workOrder, string startDate, string endDate,
            string series, string cuttingLength, string equipment)
        {
            WorkOrder = workOrder;
            StartDate = startDate;
            EndDate = endDate;
            Series = series;
            CuttingLength = cuttingLength;
            Equipment = equipment;
        }
    }
}
